using Hotline.Share.Enums.CallCenter;

namespace Hotline.Share.Requests
{
    public record VisitorIdToTelRequest(string VisitorId, string ToExtId);

    public record VisitorToOuterRequest(string VisitorId, string OuterPhoneNum);

    public record VisitorToIvrRequest(string VisitorId, string MenuId);

    public record VisitorToTelGroupRequest(string VisitorId, string GroupId);

    public record ExtToOuterRequest(string ExtId, string OuterPhoneNum);

    public record ClearExtRequest(string CallId);

    public record ClearVisitorRequest(string CallId);

    public record ClearOuterRequest(string CallId);

    public record AcceptVisitorRequest(string VisitorId);

    public record RemoveVoiceFileRequest(string VoiceFileNames);

    public record GetCallListRequest(string? PhoneNum,string? ToNum,ECallDirection? Direction, ECallState? CallState,string UserName) : PagedRequest;

    public record GetCallListWexRequest(string? CPN,string? CDPN,ECallDirection? Direction,EOnState? OnState, string StaffNo) : PagedRequest;

    public record GetOutCallListRequest(DateTime time);

    public record MonitorExtRequest(string firstTelNo,string secondTelNo);

    public record MonitorExtToTalkRequest(string telNo);

    public record MonitorExtToListenRequest(string telNo);

    public record BargeinExtRequest(string firstTelNo,string secondTelNo);

}
